import 'package:plugin_platform_interface/plugin_platform_interface.dart';

import 'map_amap_ios_method_channel.dart';

abstract class MapAmapIosPlatform extends PlatformInterface {
  /// Constructs a MapAmapIosPlatform.
  MapAmapIosPlatform() : super(token: _token);

  static final Object _token = Object();

  static MapAmapIosPlatform _instance = MethodChannelMapAmapIos();

  /// The default instance of [MapAmapIosPlatform] to use.
  ///
  /// Defaults to [MethodChannelMapAmapIos].
  static MapAmapIosPlatform get instance => _instance;

  /// Platform-specific implementations should set this with their own
  /// platform-specific class that extends [MapAmapIosPlatform] when
  /// they register themselves.
  static set instance(MapAmapIosPlatform instance) {
    PlatformInterface.verifyToken(instance, _token);
    _instance = instance;
  }

  Future<String?> getPlatformVersion() {
    throw UnimplementedError('platformVersion() has not been implemented.');
  }
}
